Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSButtonModuleService Class Reference

The CSButtonModuleService object is accessible from the CSUser object, providing access to the button customization feature. More...

`#import <CSButtonModuleService.h>`

Inherits NSObject.

## Instance Methods
(NSArray *) | - availableCustomizedButtons
| Returns the list of available customized buttons. More...
(NSArray *) | - availableConsolidatedButtons
| Returns a consolidated button list consisting of customized buttons and non-customized but configured features. More...
(void) | - addButton:configuredLocation:customizedLocation:completionHandler:
| Adds a customized button at location given by user. More...
(void) | - removeButton:completionHandler:
| Removes the customized button from the button module. More...
(void) | - moveButton:customizedLocation:completionHandler:
| Moves a customized button to a location given by user. More...
(void) | - setButtonLabel:button:completionHandler:
| Updates the customized button with personalized label given by user. More...

## Properties
id< CSButtonModuleServiceDelegate > | delegate
| The delegate responsible for handling button module service events. More...
BOOL | isServiceAvailable
| A Boolean value indicating whether the button module service is available. More...

## Detailed Description

The CSButtonModuleService object is accessible from the CSUser object, providing access to the button customization feature.

The CSButtonModuleService object provides a set of APIs that allow application developers to implement button customization features.

The client application is notified about list updates on customized buttons reported by the button module service through handlers that the application has registered on the CSButtonModuleService object. These updates may be the result of local operations on the CSButtonModuleService object as well as remote changes initiated by either the service/server or other end users.

## Method Documentation

- (void) addButton: |  | (CSCustomizedButton *) | button
configuredLocation: |  | (NSInteger) | configuredLocation
customizedLocation: |  | (NSInteger) | customizedLocation
completionHandler: |  | (void(^)(NSError *error)) | handler

Adds a customized button at location given by user.

Parameters

  button | Informational parameters for the button to be added.
  configuredLocation | Location of the button as configured on SMGR.
  customizedLocation | Location on the button module where the user wants to add the customized button.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (NSArray *) availableConsolidatedButtons |  |  |

Returns a consolidated button list consisting of customized buttons and non-customized but configured features.

The customized location for non-customized but configured features will be the same as their configured location. If there is a customized button at the configured location, then the configured feature's customized location will be the next available free button module location.

Returns
  An NSArray of CSCustomizedButton objects.

- (NSArray *) availableCustomizedButtons |  |  |

Returns the list of available customized buttons.

Returns
  An NSArray of CSCustomizedButton objects.

- (void) moveButton: |  | (CSCustomizedButton *) | button
customizedLocation: |  | (NSInteger) | customizedLocation
completionHandler: |  | (void(^)(NSError *error)) | handler

Moves a customized button to a location given by user.

Parameters

  button | Informational parameters for the button to be moved.
  customizedLocation | Location on the button module where the user wants to move the customized button.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) removeButton: |  | (CSCustomizedButton *) | button
completionHandler: |  | (void(^)(NSError *error)) | handler

Removes the customized button from the button module.

Parameters

  button | Informational parameters for the button to be removed.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) setButtonLabel: |  | (NSString *) | label
button: |  | (CSCustomizedButton *) | button
completionHandler: |  | (void(^)(NSError *error)) | handler

Updates the customized button with personalized label given by user.

Existing personalized label can be reset to its default value by passing an empty label.

Parameters

  label | Personalized label for the customized button.
  button | Informational parameters for the button to be personalized.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

## Property Documentation

- (id<CSButtonModuleServiceDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling button module service events.

- (BOOL) isServiceAvailable
| read nonatomic assign

A Boolean value indicating whether the button module service is available.

Returns
  YES if the button module service is available, NO otherwise.

The documentation for this class was generated from the following file:

- CSButtonModuleService.h